package com.kxs.common.core.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 用户预扣款枚举
 *
 * @author 没秃顶的码农
 * @date 2024-01-03
 */
@Getter
@RequiredArgsConstructor
public enum UserAdvanceTypeEnum {

    MACHINE(0, "过期机具扣款"),
    ADVANCE(1, "创客预扣款"),
    STAGE(2, "分期预扣款"),
    LEADER(3, "盟主预扣款"),
    PARTNER(4, "合伙人预扣款");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String description;
}
